module DND.Bob (bob) where

import DND.Sheet

bob :: Character
bob = Character testPreamble testTrivia testStats (Just testSpells)

testStats :: [Stat]
testStats = [strStat,dexStat,conStat,intStat,wisStat,chaStat]

testPreamble :: Preamble
testPreamble = Preamble 1 "Bob" "Elf" "Fighter" False

testTrivia :: Trivia
testTrivia = Trivia "farmer" "none" "I me likey fun things" "yay" "all" "idk"

strStat :: Stat
strStat = Stat "Strength" 10 False strSkills

strSkills :: [Skill]
strSkills = [ Skill "Athletics" None ]

dexStat :: Stat
dexStat = Stat "Dexterity" 10 False dexSkills

dexSkills :: [Skill]
dexSkills = [ Skill "Acrobatics" None
            , Skill "Sleight of Hand" None
            , Skill "Stealth" None
            ]

conStat :: Stat
conStat = Stat "Constitution" 10 False []

intStat :: Stat
intStat = Stat "Intelligence" 10 False intSkills

intSkills :: [Skill]
intSkills = [ Skill "Arcana" None
            , Skill "History" None
            , Skill "Investigation" None
            , Skill "Nature" None
            , Skill "Religion" None
            ]

wisStat :: Stat
wisStat = Stat "Wisdom" 10 False wisSkills

wisSkills :: [Skill]
wisSkills = [ Skill "Animal Handling" None
            , Skill "Insight" None
            , Skill "Medicine" None
            , Skill "Perception" None
            , Skill "Survival" None
            ]

chaStat :: Stat
chaStat = Stat "Charisma" 10 False chaSkills

chaSkills :: [Skill]
chaSkills = [ Skill "Deception" None
            , Skill "Intimidation" None
            , Skill "Performance" None
            , Skill "Persuasion" None
            ]

testSpells :: [Spell]
testSpells = [ Spell "Firetesticle" -- spellName
                     3 -- spellLevel
                     "3 Minutes" -- castingTime
                     50 -- range
                     [Verbal, Somatic] -- components
                     "Instant" -- duration
                     "Dexterity" -- attackSave
                     "Fire" -- damge/effect
                     "Shoots a huge testicle shaped fireball" -- description
                     "Conjuration" -- school
                     "Cast more of the sodding things" -- atHighLevel
             ]
